<?php


abstract class BaseTarifasDestinoPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'TARIFAS_DESTINO';

	
	const CLASS_DEFAULT = 'lib.model.TarifasDestino';

	
	const NUM_COLUMNS = 6;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const NITOCC = 'TARIFAS_DESTINO.NITOCC';

	
	const ID_COMISION = 'TARIFAS_DESTINO.ID_COMISION';

	
	const VIGENCIA = 'TARIFAS_DESTINO.VIGENCIA';

	
	const ID_TARIFA = 'TARIFAS_DESTINO.ID_TARIFA';

	
	const NUM_VIAJES = 'TARIFAS_DESTINO.NUM_VIAJES';

	
	const TOTAL = 'TARIFAS_DESTINO.TOTAL';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc', 'IdComision', 'Vigencia', 'IdTarifa', 'NumViajes', 'Total', ),
		BasePeer::TYPE_COLNAME => array (TarifasDestinoPeer::NITOCC, TarifasDestinoPeer::ID_COMISION, TarifasDestinoPeer::VIGENCIA, TarifasDestinoPeer::ID_TARIFA, TarifasDestinoPeer::NUM_VIAJES, TarifasDestinoPeer::TOTAL, ),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC', 'ID_COMISION', 'VIGENCIA', 'ID_TARIFA', 'NUM_VIAJES', 'TOTAL', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc' => 0, 'IdComision' => 1, 'Vigencia' => 2, 'IdTarifa' => 3, 'NumViajes' => 4, 'Total' => 5, ),
		BasePeer::TYPE_COLNAME => array (TarifasDestinoPeer::NITOCC => 0, TarifasDestinoPeer::ID_COMISION => 1, TarifasDestinoPeer::VIGENCIA => 2, TarifasDestinoPeer::ID_TARIFA => 3, TarifasDestinoPeer::NUM_VIAJES => 4, TarifasDestinoPeer::TOTAL => 5, ),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC' => 0, 'ID_COMISION' => 1, 'VIGENCIA' => 2, 'ID_TARIFA' => 3, 'NUM_VIAJES' => 4, 'TOTAL' => 5, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.TarifasDestinoMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = TarifasDestinoPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(TarifasDestinoPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(TarifasDestinoPeer::NITOCC);

		$criteria->addSelectColumn(TarifasDestinoPeer::ID_COMISION);

		$criteria->addSelectColumn(TarifasDestinoPeer::VIGENCIA);

		$criteria->addSelectColumn(TarifasDestinoPeer::ID_TARIFA);

		$criteria->addSelectColumn(TarifasDestinoPeer::NUM_VIAJES);

		$criteria->addSelectColumn(TarifasDestinoPeer::TOTAL);

	}

	const COUNT = 'COUNT(TARIFAS_DESTINO.NITOCC)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT TARIFAS_DESTINO.NITOCC)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = TarifasDestinoPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return TarifasDestinoPeer::populateObjects(TarifasDestinoPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			TarifasDestinoPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = TarifasDestinoPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinTarifasTaxis(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TercerosPeer::addSelectColumns($c);

		$c->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addTarifasDestino($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinTarifasTaxis(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TarifasTaxisPeer::addSelectColumns($c);

		$c->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TarifasTaxisPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTarifasTaxis(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addTarifasDestino($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ComisionesPeer::addSelectColumns($c);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ComisionesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getComisiones(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addTarifasDestino($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol2 = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TarifasTaxisPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TarifasTaxisPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addTarifasDestino($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1);
			}


					
			$omClass = TarifasTaxisPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTarifasTaxis(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addTarifasDestino($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initTarifasDestinos();
				$obj3->addTarifasDestino($obj1);
			}


					
			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addTarifasDestino($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initTarifasDestinos();
				$obj4->addTarifasDestino($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptTarifasTaxis(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(TarifasDestinoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$rs = TarifasDestinoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol2 = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TarifasTaxisPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TarifasTaxisPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TarifasTaxisPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTarifasTaxis(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initTarifasDestinos();
				$obj3->addTarifasDestino($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptTarifasTaxis(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol2 = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(TarifasDestinoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initTarifasDestinos();
				$obj3->addTarifasDestino($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		TarifasDestinoPeer::addSelectColumns($c);
		$startcol2 = (TarifasDestinoPeer::NUM_COLUMNS - TarifasDestinoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TarifasTaxisPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TarifasTaxisPeer::NUM_COLUMNS;

		$c->addJoin(TarifasDestinoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(TarifasDestinoPeer::ID_TARIFA, TarifasTaxisPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = TarifasDestinoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initTarifasDestinos();
				$obj2->addTarifasDestino($obj1);
			}

			$omClass = TarifasTaxisPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTarifasTaxis(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addTarifasDestino($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initTarifasDestinos();
				$obj3->addTarifasDestino($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return TarifasDestinoPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(TarifasDestinoPeer::NITOCC);
			$selectCriteria->add(TarifasDestinoPeer::NITOCC, $criteria->remove(TarifasDestinoPeer::NITOCC), $comparison);

			$comparison = $criteria->getComparison(TarifasDestinoPeer::ID_COMISION);
			$selectCriteria->add(TarifasDestinoPeer::ID_COMISION, $criteria->remove(TarifasDestinoPeer::ID_COMISION), $comparison);

			$comparison = $criteria->getComparison(TarifasDestinoPeer::VIGENCIA);
			$selectCriteria->add(TarifasDestinoPeer::VIGENCIA, $criteria->remove(TarifasDestinoPeer::VIGENCIA), $comparison);

			$comparison = $criteria->getComparison(TarifasDestinoPeer::ID_TARIFA);
			$selectCriteria->add(TarifasDestinoPeer::ID_TARIFA, $criteria->remove(TarifasDestinoPeer::ID_TARIFA), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(TarifasDestinoPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(TarifasDestinoPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof TarifasDestino) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
				$vals[3][] = $value[3];
			}

			$criteria->add(TarifasDestinoPeer::NITOCC, $vals[0], Criteria::IN);
			$criteria->add(TarifasDestinoPeer::ID_COMISION, $vals[1], Criteria::IN);
			$criteria->add(TarifasDestinoPeer::VIGENCIA, $vals[2], Criteria::IN);
			$criteria->add(TarifasDestinoPeer::ID_TARIFA, $vals[3], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(TarifasDestino $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(TarifasDestinoPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(TarifasDestinoPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(TarifasDestinoPeer::DATABASE_NAME, TarifasDestinoPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = TarifasDestinoPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $nitocc, $id_comision, $vigencia, $id_tarifa, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(TarifasDestinoPeer::NITOCC, $nitocc);
		$criteria->add(TarifasDestinoPeer::ID_COMISION, $id_comision);
		$criteria->add(TarifasDestinoPeer::VIGENCIA, $vigencia);
		$criteria->add(TarifasDestinoPeer::ID_TARIFA, $id_tarifa);
		$v = TarifasDestinoPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseTarifasDestinoPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.TarifasDestinoMapBuilder');
}
